package esercitazione6.maps;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.HashMap;
import java.util.Scanner;
import java.util.TreeMap;

public class TestMaps {

	/**
	 * @param args
	 * @throws FileNotFoundException 
	 */
	public static void main(String[] args) throws FileNotFoundException {
		
		
		Scanner scanner = new Scanner(new File("src/esercitazione6/maps/", "notes.txt"));
		
		Scanner doc = scanner.useDelimiter("[^a-zA-Z]+");
		
		HashMap<String, Integer> words = new HashMap<String, Integer>();
		//TreeMap<String, Integer> words = new TreeMap<String, Integer>();
		
		while (doc.hasNext( )) {  
			
			String token = doc.next();
			
			if (words.containsKey(token))
				words.put(token, words.get(token) + 1);
			else
				words.put(token, 1);
			
		}

		for (String k : words.keySet()) {
			System.out.println( k + " : " + words.get(k));
		}
		
		scanner.close();
	}

}
